package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfNwpData对象 wf_nwp_data
 *
 * @author hlf
 * @date 2021-07-14
 */
public class WfNwpData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long nwpType;

    private Long fileTime;

    private Date dataTime;

    private Double windSpeed;

    private Double temperature;

    private Double windDir;

    private Double humidity;

    private Double airPressure;

    private Integer type;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setNwpType(Long nwpType) {
        this.nwpType = nwpType;
    }

    public Long getNwpType() {
        return nwpType;
    }

    public void setFileTime(Long fileTime) {
        this.fileTime = fileTime;
    }

    public Long getFileTime() {
        return fileTime;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setWindSpeed(Double windSpeed) {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() {
        return windSpeed;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setWindDir(Double windDir) {
        this.windDir = windDir;
    }

    public Double getWindDir() {
        return windDir;
    }

    public void setHumidity(Double humidity) {
        this.humidity = humidity;
    }

    public Double getHumidity() {
        return humidity;
    }

    public void setAirPressure(Double airPressure) {
        this.airPressure = airPressure;
    }

    public Double getAirPressure() {
        return airPressure;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    /*关联表查询开始*/
    private String itemName;

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("nwpType", getNwpType())
                .append("fileTime", getFileTime())
                .append("dataTime", getDataTime())
                .append("windSpeed", getWindSpeed())
                .append("temperature", getTemperature())
                .append("windDir", getWindDir())
                .append("humidity", getHumidity())
                .append("airPressure", getAirPressure())
                .toString();
    }
}
